Vmware workstation pro 12.5.9 is not running on RHEL 8.0 host system.

Latest response

I have successfully install VMware-Workstation-Full-12.5.9-7535481.x86_64.bundle on my RHEL 8.0 System . while running vmware command I getting an error. Please help me any one...
[root@myrhel8 ~]# vmware
/usr/lib/vmware/bin/vmware-modconfig: Relink /lib64/libssh.so.4' with/lib64/librt.so.1' for IFUNC symbol `clock_gettime'

[root@myrhel8 ~]# uname -a
Linux myrhel8 4.18.0-80.1.2.el8_0.x86_64 #1 SMP Sun Apr 28 09:21:22 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux

Responses

You have to use one of the newer VMware Workstation versions (14 or 15) to be compatible with RHEL 7. 3 and higher.

hi.. Christiaan van Aken , actually my processor will not support with VMware Workstation versions (14 or 15). I have already used Vmware workstation pro 12.5.9 on RHEL 7.6 without any error. but on RHEL 8.0 /usr/lib/vmware/bin/vmware-modconfig: Relink /lib64/libssh.so.4' with/lib64/librt.so.1' for IFUNC symbol `clock_gettime....... this really panic for me......

Hi Christiaan,

I have workstation 15 pro and I can't get it to run, it installed fine, but when I launch it the kernel module updater comes I tell to install enter the password and nothing happens. When run it from the terminal I get (vmware-modconfig:3604): Gtk-WARNING **: 09:53:53.959: cannot open display: :0

What did I miss during the install

may be this help full in your case.

sudo vmware-modconfig --console --install-all

or $ sudo /usr/bin/vmware-modconfig --console --install-all